cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

FOSI error when upgraded to 5.3

Newbie

FOSI error when upgraded to 5.3

Hi,

We have a problem in opening a document of a custom doctype when upgraded from Epic Editor 5.1M to Arbortext Editor 5.3 M100. In our application We have two doctypes(for example 'DocA' and 'DocB'). The documents of these doctypes when opened in 5.1 version of Epic will appear without any error and works fine. But if the same document of doctype 'DocB' when opened in the upgraded version(5.3) is throwing an error, "FOSI compile failed". It also shows the cause of the error in a seperate window(Completeness Errors) which states that "There are 2 variables used whose values are never set. Use the 'show ids' command to locate these errors". When we debugged our custom files we found that these two variables are declared and used in fosi and entity files of doctype 'DocA'. Both these doctypes have seperate fosi files and entity files for each.
So when we open a document of doctype 'DocB' in new version its trying to load and refer to the variables declared in the other doctype entity file which was not referred in 'DocB' doctype.

Any idea why Arbortext Editor is behaving in this way?

Thanks,
Saikrishna

Tags (2)
2 REPLIES 2
Highlighted

FOSI error when upgraded to 5.3

Saikrishna

I seem to remember that something changed the way catalogs were used in
the later versions.

1) You might check to be sure that the main catalog knows where to find
any other needed catalog files (like if each doctype directory has a
catalog file you might have a master catalog in the doctypes direcotry).
Sample from distributed catalog where there is another catalog in
folder: "%D\axdocbook":

EXAMPLE:
Highlighted

FOSI error when upgraded to 5.3

It could also be your environment variable pings "Editor" not "Epic"
Announcements